Realtime speech-to-text transcription service. This WebSocket API enables streaming audio input and receiving transcription results.
input_audio_chunk messagesAuthentication is done either by providing a valid API key in the xi-api-key header or by providing a valid token in the token query parameter. Tokens can be generated from the single use token endpoint. Use tokens if you want to transcribe audio from the client side.
The ID of the model to use for speech-to-text transcription.
Single use token for authentication. Only used when initiating a session from the client. If provided, xi-api-key is no longer required for authentication.
The encoding format of the audio. Supported formats: pcm_8000, pcm_16000, pcm_22050, pcm_24000, pcm_44100, pcm_48000, ulaw_8000.
An ISO-639-1 or ISO-639-3 language_code corresponding to the language of the audio file. Can sometimes improve transcription performance if known beforehand. Defaults to null, in this case the language is predicted automatically.
Additional ISO-639-1 or ISO-639-3 language codes that may be present in the audio. Providing them makes language identification more reliable by only focusing on a certain set of languages. Each code is validated the same way as language_code.
Enable word/character-level timestamps in a delayed final transcript message. When enabled, you’ll receive an additional message with timestamps after each commit. Default: false.
Enable language detection in a delayed final transcript message. When enabled, you’ll receive an additional message with detected language_code after each commit. Default: false.
List of keyterms to bias the model towards. Maximum 50 keyterms. Adds a 20% premium to the base transcription cost.
Enable background speech filtering to reduce false activations from nearby conversations and ambient noise. When enabled without an explicit vad_threshold, a lower default threshold is applied. Cannot be combined with include_timestamps.
When enable_logging is set to false zero retention mode will be used for the request. This will mean history features are unavailable for this request, including request stitching. Zero retention mode may only be used by enterprise customers.
Delayed final transcript with word-level timestamps and detected language_code. Only sent when include_timestamps or include_language_detection is enabled.
Committed transcription result with word-level timestamps.
Detected entities for a committed transcript. Only sent when the entity_detection query parameter is set.